Memos

Get Instance Profile

GetInstanceProfile gets the instance profile. Available without authentication, including on a private instance.

GET
/api/instance/profile

Response Body

application/json

application/json

curl -X GET "https://example.com/api/instance/profile"
{  "version": "string",  "commit": "string",  "demo": true,  "instanceUrl": "string",  "accessMode": "INSTANCE_ACCESS_MODE_UNSPECIFIED",  "needsSetup": true,  "admin": {    "name": "string",    "username": "string",    "displayName": "string",    "email": "string",    "avatarUrl": "string",    "description": "string",    "password": "string",    "role": "ROLE_UNSPECIFIED",    "state": "STATE_UNSPECIFIED",    "createTime": "2019-08-24T14:15:22Z",    "updateTime": "2019-08-24T14:15:22Z"  },  "challenge": {    "provider": "string",    "siteKey": "string"  }}